Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface RenderRequest

All Superinterfaces
  PortletRequest

All Known Implementing Classes:
  RenderRequestWrapper

    public interface RenderRequest

extends PortletRequest

The `RenderRequest` represents the request sent to the portlet to handle a render. It extends the PortletRequest interface to provide render request information to portlets.
The portlet container creates a `RenderRequest` object and passes it as argument to the portlet's `render` method.

See Also
  `PortletRequest`, `ActionRequest`

Nested Class Summary

Nested classes/interfaces inherited from interface javax.portlet.PortletRequest
`PortletRequest.P3PUserInfos`

Field Summary
`static String` | `ETAG` This property is set by the container if the portlet container has a cached response for the given validation tag.

Fields inherited from interface javax.portlet.PortletRequest
`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

Method Summary
`String` | `getETag()` Returns the validation tag if the portlet container has a cached response for this validation tag, or `null` if no cached response exists.

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Field Detail

### ETAG

    static final String ETAG

  This property is set by the container if the portlet container has a cached response for the given validation tag. The property can be retrieved using the `getProperty` method.

  The value is `"portlet.ETag "`.

  Since:
    2.0
  See Also
    Constants Summary

Method Detail

### getETag

    String getETag()

  Returns the validation tag if the portlet container has a cached response for this validation tag, or `null` if no cached response exists.

  This call returns the same value as `RenderRequest.getProperty(RenderRequest.ETAG)`.

  Returns
    the validation tag if the portlet container has a cached response for this validation tag, or `null` if no cached response exists.
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.